﻿USE [mbs6extensible]
GO
/****** Object:  Table [dbo].[tblAssignedCategories]    Script Date: 11/9/2012 1:53:25 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblAssignedCategories](
	[SolutionGUID] [uniqueidentifier] NOT NULL,
	[CategoryGUID] [uniqueidentifier] NOT NULL,
	[CategoryName] [nvarchar](500) NOT NULL,
 CONSTRAINT [PK_tblAssignedCategories] PRIMARY KEY CLUSTERED 
(
	[SolutionGUID] ASC,
	[CategoryGUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblAssignedKeywords]    Script Date: 11/9/2012 1:53:25 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblAssignedKeywords](
	[SolutionGUID] [uniqueidentifier] NOT NULL,
	[Keyword] [nvarchar](500) NOT NULL,
	[GUID] [uniqueidentifier] NOT NULL,
 CONSTRAINT [PK_tblAssignedKeywords] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblAssignedProducts]    Script Date: 11/9/2012 1:53:25 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblAssignedProducts](
	[SolutionGUID] [uniqueidentifier] NOT NULL,
	[RelatedProductGUID] [uniqueidentifier] NOT NULL,
	[Product] [nvarchar](500) NOT NULL,
 CONSTRAINT [PK_tblAssignedProducts] PRIMARY KEY CLUSTERED 
(
	[SolutionGUID] ASC,
	[RelatedProductGUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblAssignedWishlist]    Script Date: 11/9/2012 1:53:25 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblAssignedWishlist](
	[SolutionGUID] [uniqueidentifier] NOT NULL,
	[WishlistGUID] [uniqueidentifier] NOT NULL,
	[Wish] [nvarchar](500) NOT NULL,
 CONSTRAINT [PK_tblAssignedWishlist] PRIMARY KEY CLUSTERED 
(
	[SolutionGUID] ASC,
	[WishlistGUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblDllBinary]    Script Date: 11/9/2012 1:53:25 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[tblDllBinary](
	[GUID] [uniqueidentifier] NOT NULL,
	[ByteArr] [varbinary](max) NOT NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[FileName] [nvarchar](250) NOT NULL,
	[FileDate] [datetime] NOT NULL,
 CONSTRAINT [PK_tblDllBinary] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[tblExtensibleArtifacts]    Script Date: 11/9/2012 1:53:25 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblExtensibleArtifacts](
	[GUID] [uniqueidentifier] NOT NULL,
	[Name] [nvarchar](500) NOT NULL,
	[Description] [nvarchar](2000) NULL,
	[Namespace] [nvarchar](2000) NULL,
	[Class] [nvarchar](500) NULL,
	[Method] [nvarchar](500) NULL,
	[DLLReference] [uniqueidentifier] NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[FileDate] [datetime] NOT NULL,
	[Version] [nvarchar](500) NOT NULL,
	[Category] [nvarchar](50) NOT NULL,
	[Type] [nvarchar](50) NOT NULL,
	[IsActive] [bit] NOT NULL,
	[IsMarketplace] [bit] NOT NULL,
	[MPKey] [nvarchar](50) NOT NULL,
 CONSTRAINT [PK_tblExtensibleArtifacts] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblFirmwareUpdate]    Script Date: 11/9/2012 1:53:25 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[tblFirmwareUpdate](
	[GUID] [uniqueidentifier] NOT NULL,
	[Version] [nvarchar](50) NOT NULL,
	[Date] [datetime] NOT NULL,
	[Binary] [varbinary](max) NOT NULL,
	[UpdateType] [nvarchar](500) NOT NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[tblMarketplaceFeature]    Script Date: 11/9/2012 1:53:25 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblMarketplaceFeature](
	[GUID] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[SolutionGUID] [uniqueidentifier] NOT NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[UserGUID] [uniqueidentifier] NOT NULL,
	[DeveloperGUID] [uniqueidentifier] NOT NULL,
	[Name] [nvarchar](50) NOT NULL,
	[Description] [nvarchar](2000) NULL,
	[CustomizationType] [uniqueidentifier] NOT NULL,
 CONSTRAINT [PK_tblMarketplaceFeature] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblMarketplaceSolution]    Script Date: 11/9/2012 1:53:25 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[tblMarketplaceSolution](
	[GUID] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[UserGUID] [uniqueidentifier] NOT NULL,
	[DeveloperGUID] [uniqueidentifier] NOT NULL,
	[Name] [nvarchar](500) NOT NULL,
	[Description] [nvarchar](2000) NULL,
	[Company] [nvarchar](500) NULL,
	[Contact] [nvarchar](200) NOT NULL,
	[Street] [nvarchar](200) NOT NULL,
	[No] [nvarchar](10) NOT NULL,
	[Code] [nvarchar](10) NOT NULL,
	[City] [nvarchar](100) NOT NULL,
	[EMail] [nvarchar](100) NOT NULL,
	[Phone] [nvarchar](20) NOT NULL,
	[Website] [nvarchar](500) NULL,
	[ProductBlog] [nvarchar](500) NULL,
	[DateCreated] [datetime] NOT NULL,
	[OnlineSubmitted] [bit] NOT NULL,
	[Version] [nvarchar](50) NULL,
	[DeployDate] [nvarchar](50) NULL,
	[Price] [nvarchar](50) NULL,
	[expSales] [nvarchar](50) NULL,
	[SolutionFile] [varbinary](max) NULL,
	[SmallImage] [nvarchar](500) SPARSE  NULL,
	[BigImage] [nvarchar](500) SPARSE  NULL,
 CONSTRAINT [PK_tblMarketplaceSolution] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[tblSolutionImage]    Script Date: 11/9/2012 1:53:25 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblSolutionImage](
	[GUID] [uniqueidentifier] NOT NULL,
	[SolutionGUID] [uniqueidentifier] NOT NULL,
	[Url] [nvarchar](500) NOT NULL,
 CONSTRAINT [PK_tblSolutionImage] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblTemplates]    Script Date: 11/9/2012 1:53:25 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblTemplates](
	[GUID] [uniqueidentifier] NOT NULL,
	[Name] [nvarchar](500) NOT NULL,
	[Description] [nvarchar](2000) NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[TemplateType] [nvarchar](500) NOT NULL,
	[XAML] [nvarchar](max) NOT NULL,
	[ResourceKey] [nvarchar](100) NOT NULL,
	[IsMarketplace] [bit] NOT NULL,
	[MPKey] [nvarchar](50) NOT NULL,
 CONSTRAINT [PK_tblTemplates] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
ALTER TABLE [dbo].[tblExtensibleArtifacts] ADD  CONSTRAINT [DF_tblExtensibleArtifacts_IsMarketplace]  DEFAULT ((0)) FOR [IsMarketplace]
GO
ALTER TABLE [dbo].[tblMarketplaceFeature] ADD  CONSTRAINT [DF_tblMarketplaceFeature_GUID]  DEFAULT (newid()) FOR [GUID]
GO
ALTER TABLE [dbo].[tblMarketplaceSolution] ADD  CONSTRAINT [DF_tblMarketplaceSolution_GUID]  DEFAULT (newid()) FOR [GUID]
GO
ALTER TABLE [dbo].[tblMarketplaceSolution] ADD  CONSTRAINT [DF_tblMarketplaceSolution_OnlineSubmitted]  DEFAULT ((0)) FOR [OnlineSubmitted]
GO
ALTER TABLE [dbo].[tblTemplates] ADD  CONSTRAINT [DF_tblTemplates_IsMarketplace]  DEFAULT ((0)) FOR [IsMarketplace]
GO
ALTER TABLE [dbo].[tblAssignedCategories]  WITH CHECK ADD  CONSTRAINT [FK_tblAssignedCategories_tblMarketplaceSolution] FOREIGN KEY([SolutionGUID])
REFERENCES [dbo].[tblMarketplaceSolution] ([GUID])
GO
ALTER TABLE [dbo].[tblAssignedCategories] CHECK CONSTRAINT [FK_tblAssignedCategories_tblMarketplaceSolution]
GO
ALTER TABLE [dbo].[tblAssignedKeywords]  WITH CHECK ADD  CONSTRAINT [FK_tblAssignedKeywords_tblMarketplaceSolution] FOREIGN KEY([SolutionGUID])
REFERENCES [dbo].[tblMarketplaceSolution] ([GUID])
GO
ALTER TABLE [dbo].[tblAssignedKeywords] CHECK CONSTRAINT [FK_tblAssignedKeywords_tblMarketplaceSolution]
GO
ALTER TABLE [dbo].[tblAssignedProducts]  WITH CHECK ADD  CONSTRAINT [FK_tblAssignedProducts_tblMarketplaceSolution] FOREIGN KEY([SolutionGUID])
REFERENCES [dbo].[tblMarketplaceSolution] ([GUID])
GO
ALTER TABLE [dbo].[tblAssignedProducts] CHECK CONSTRAINT [FK_tblAssignedProducts_tblMarketplaceSolution]
GO
ALTER TABLE [dbo].[tblAssignedWishlist]  WITH CHECK ADD  CONSTRAINT [FK_tblAssignedWishlist_tblMarketplaceSolution] FOREIGN KEY([SolutionGUID])
REFERENCES [dbo].[tblMarketplaceSolution] ([GUID])
GO
ALTER TABLE [dbo].[tblAssignedWishlist] CHECK CONSTRAINT [FK_tblAssignedWishlist_tblMarketplaceSolution]
GO
ALTER TABLE [dbo].[tblExtensibleArtifacts]  WITH CHECK ADD  CONSTRAINT [FK_tblExtensibleArtifacts_tblDllBinary] FOREIGN KEY([DLLReference])
REFERENCES [dbo].[tblDllBinary] ([GUID])
GO
ALTER TABLE [dbo].[tblExtensibleArtifacts] CHECK CONSTRAINT [FK_tblExtensibleArtifacts_tblDllBinary]
GO
ALTER TABLE [dbo].[tblMarketplaceFeature]  WITH CHECK ADD  CONSTRAINT [FK_tblMarketplaceFeature_tblMarketplaceSolution] FOREIGN KEY([SolutionGUID])
REFERENCES [dbo].[tblMarketplaceSolution] ([GUID])
GO
ALTER TABLE [dbo].[tblMarketplaceFeature] CHECK CONSTRAINT [FK_tblMarketplaceFeature_tblMarketplaceSolution]
GO
ALTER TABLE [dbo].[tblSolutionImage]  WITH CHECK ADD  CONSTRAINT [FK_tblSolutionImage_tblMarketplaceSolution] FOREIGN KEY([SolutionGUID])
REFERENCES [dbo].[tblMarketplaceSolution] ([GUID])
GO
ALTER TABLE [dbo].[tblSolutionImage] CHECK CONSTRAINT [FK_tblSolutionImage_tblMarketplaceSolution]
GO
