﻿USE [mbs6farm]
GO
/****** Object:  Table [dbo].[tblAppConfigPrincipal]    Script Date: 11/9/2012 1:53:56 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblAppConfigPrincipal](
	[ApplicationConfigGUID] [uniqueidentifier] NOT NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblApplication]    Script Date: 11/9/2012 1:53:56 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblApplication](
	[GUID] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[Name] [nvarchar](500) NOT NULL,
	[Description] [nvarchar](max) NULL,
	[OwnerGUID] [uniqueidentifier] NOT NULL,
 CONSTRAINT [PK_tblApplication] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblApplicationConfiguration]    Script Date: 11/9/2012 1:53:56 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblApplicationConfiguration](
	[GUID] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[Name] [nvarchar](500) NOT NULL,
	[Description] [nvarchar](max) NULL,
	[VersionGUID] [uniqueidentifier] NOT NULL,
	[ApplicationGUID] [uniqueidentifier] NOT NULL,
	[OwnerGUID] [uniqueidentifier] NOT NULL,
	[ReleaseGUID] [uniqueidentifier] NOT NULL,
	[EditionGUID] [uniqueidentifier] NOT NULL,
	[SystemGUID] [uniqueidentifier] NOT NULL,
	[BasedOnGUID] [uniqueidentifier] NULL,
	[SeriesType] [nvarchar](500) NULL,
	[MasterPageType] [nvarchar](500) NULL,
	[CustomMasterPage] [uniqueidentifier] NULL,
	[Audience] [nvarchar](2000) NULL,
	[CompanySize] [nvarchar](2000) NULL,
	[IsModulSecurityActive] [bit] NOT NULL,
	[IsFormSecurityActive] [bit] NOT NULL,
	[IsItemSecurityActive] [bit] NOT NULL,
	[IsAutomatedConfiguration] [bit] NOT NULL,
 CONSTRAINT [PK_tblApplicationConfiguration] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblAppModulFormConfig]    Script Date: 11/9/2012 1:53:56 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblAppModulFormConfig](
	[GUID] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[Title] [nvarchar](500) NULL,
	[ApplicationConfigGUID] [uniqueidentifier] NOT NULL,
	[ModulGUID] [uniqueidentifier] NOT NULL,
	[FormGUID] [uniqueidentifier] NOT NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[ItemsSourceBinding] [nvarchar](50) NULL,
	[SelectedItemBinding] [nvarchar](50) NULL,
	[PageLayoutValue] [nvarchar](50) NULL,
	[ListTypeValue] [nvarchar](50) NULL,
	[OrderPosition] [int] NOT NULL,
	[CustomPageLayoutGUID] [uniqueidentifier] NULL,
 CONSTRAINT [PK_tblAppModulFormConfig] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblBackup]    Script Date: 11/9/2012 1:53:56 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblBackup](
	[GUID] [uniqueidentifier] NOT NULL,
	[Name] [nvarchar](500) NOT NULL,
	[Description] [nvarchar](max) NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[Date] [datetime] NOT NULL,
	[BackupID] [nvarchar](50) NOT NULL,
 CONSTRAINT [PK_tblBackup] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblColumn]    Script Date: 11/9/2012 1:53:56 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblColumn](
	[GUID] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[Name] [nvarchar](500) NOT NULL,
	[Description] [nvarchar](2000) NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[TextBinding] [nvarchar](500) NULL,
	[SelectedItemBinding] [nvarchar](500) NULL,
	[ItemsSourceBinding] [nvarchar](500) NULL,
	[PropertyType] [nvarchar](50) NULL,
	[Category] [nvarchar](50) NULL,
	[ControlType] [nvarchar](50) NULL,
	[InternalColumnName] [nvarchar](50) NULL,
 CONSTRAINT [PK_tblColumn] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblColumnFormConfig]    Script Date: 11/9/2012 1:53:56 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblColumnFormConfig](
	[FormGUID] [uniqueidentifier] NOT NULL,
	[ColumnGUID] [uniqueidentifier] NOT NULL,
	[AppConfigGUID] [uniqueidentifier] NOT NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[ControlType] [nvarchar](50) NOT NULL,
	[PropertyType] [nvarchar](50) NOT NULL,
	[ColumnOrder] [int] NOT NULL,
	[ContentTypeGUID] [uniqueidentifier] NULL,
	[IsItemTemplateVisible] [bit] NOT NULL,
	[ColumnCategory] [nvarchar](50) SPARSE  NULL,
 CONSTRAINT [PK_tblColumnFormConfig] PRIMARY KEY CLUSTERED 
(
	[FormGUID] ASC,
	[ColumnGUID] ASC,
	[AppConfigGUID] ASC,
	[PrincipalGUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblDeployment]    Script Date: 11/9/2012 1:53:56 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblDeployment](
	[GUID] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[AppConfigGUID] [uniqueidentifier] NOT NULL,
	[ComputerName] [nvarchar](500) NOT NULL,
	[IPAdress] [nvarchar](500) NOT NULL,
	[EmployeeGUID] [uniqueidentifier] NOT NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[FilePath] [nvarchar](500) NULL,
	[Params] [nvarchar](500) NULL,
 CONSTRAINT [PK_tblDeployment] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblEdition]    Script Date: 11/9/2012 1:53:56 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblEdition](
	[GUID] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[Name] [nvarchar](500) NOT NULL,
	[Description] [nvarchar](2000) NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[Sequence] [int] NOT NULL,
 CONSTRAINT [PK_tblEdition] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblExtensibleReference]    Script Date: 11/9/2012 1:53:56 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblExtensibleReference](
	[GUID] [uniqueidentifier] NOT NULL,
	[Title] [nvarchar](500) NOT NULL,
	[ReferenceGUID] [uniqueidentifier] NOT NULL,
	[ExtensibleObjectGUID] [uniqueidentifier] NOT NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[ExtControlType] [nvarchar](250) NOT NULL,
	[AppConfigGUID] [uniqueidentifier] NOT NULL,
	[ControlPlace] [nvarchar](50) NULL,
 CONSTRAINT [PK_tblExtensibleReference] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblFarm]    Script Date: 11/9/2012 1:53:56 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblFarm](
	[GUID] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[Name] [nvarchar](500) NOT NULL,
	[Description] [nvarchar](max) NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[FarmDBServer] [nvarchar](50) NOT NULL,
	[FarmDBName] [nvarchar](50) NOT NULL,
	[SecurityDBServer] [nvarchar](50) NOT NULL,
	[SecurityDBName] [nvarchar](50) NOT NULL,
	[CompanyProxy] [nvarchar](2000) SPARSE  NULL,
	[SmtpServer] [nvarchar](500) SPARSE  NULL,
	[MailUserName] [nvarchar](500) SPARSE  NULL,
	[MailPassword] [nvarchar](500) SPARSE  NULL,
	[BackupPath] [nvarchar](2000) NULL,
 CONSTRAINT [PK_tblFarm] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblFavorites]    Script Date: 11/9/2012 1:53:56 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblFavorites](
	[GUID] [uniqueidentifier] NOT NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[UserGUID] [uniqueidentifier] NOT NULL,
	[ReferenceGUID] [uniqueidentifier] NOT NULL,
	[Name] [nvarchar](500) NOT NULL,
	[FavoritesType] [nvarchar](500) NOT NULL,
 CONSTRAINT [PK_tblFavorites] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblForm]    Script Date: 11/9/2012 1:53:56 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblForm](
	[GUID] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[Name] [nvarchar](500) NOT NULL,
	[Description] [nvarchar](2000) NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[Sequence] [int] NOT NULL,
	[Type] [nvarchar](50) NOT NULL,
	[DataTemplate] [nvarchar](2000) NULL,
	[PageLayoutValue] [nvarchar](50) NULL,
	[ListTypeValue] [nvarchar](50) NULL,
	[DisplayTitle] [bit] NOT NULL,
	[DisplayDescription] [bit] NOT NULL,
	[IsMarketplace] [bit] NOT NULL,
	[MPKey] [nvarchar](50) NOT NULL,
 CONSTRAINT [PK_tblForm] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblFormRelated]    Script Date: 11/9/2012 1:53:56 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblFormRelated](
	[FormGUID] [uniqueidentifier] NOT NULL,
	[RelatedFormGUID] [uniqueidentifier] NOT NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[AppConfigGUID] [uniqueidentifier] NOT NULL,
 CONSTRAINT [PK_tblFormRelated] PRIMARY KEY CLUSTERED 
(
	[FormGUID] ASC,
	[RelatedFormGUID] ASC,
	[PrincipalGUID] ASC,
	[AppConfigGUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblModul]    Script Date: 11/9/2012 1:53:56 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblModul](
	[GUID] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[Name] [nvarchar](500) NOT NULL,
	[Description] [nvarchar](max) NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[ApplicationGUID] [uniqueidentifier] NOT NULL,
	[Sequence] [int] NOT NULL,
	[ControlTemplate] [nvarchar](2000) NULL,
	[ShortName] [nvarchar](50) NOT NULL,
 CONSTRAINT [PK_tblModul] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblPredicate]    Script Date: 11/9/2012 1:53:56 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblPredicate](
	[GUID] [uniqueidentifier] NOT NULL,
	[Name] [nvarchar](500) NOT NULL,
	[Description] [nvarchar](max) SPARSE  NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
 CONSTRAINT [PK_tblPredicate] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblPropertyBag]    Script Date: 11/9/2012 1:53:56 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblPropertyBag](
	[GUID] [uniqueidentifier] NOT NULL,
	[Property] [nvarchar](500) NOT NULL,
	[Bag] [nvarchar](2000) NOT NULL,
 CONSTRAINT [PK_tblPropertyBag] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblRelease]    Script Date: 11/9/2012 1:53:56 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblRelease](
	[GUID] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[Name] [nvarchar](500) NOT NULL,
	[Description] [nvarchar](max) NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[Sequence] [int] NOT NULL,
 CONSTRAINT [PK_tblRelease] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblSystem]    Script Date: 11/9/2012 1:53:56 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblSystem](
	[GUID] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[Name] [nvarchar](500) NOT NULL,
	[Description] [nvarchar](max) NULL,
	[FarmGUID] [uniqueidentifier] NOT NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[SystemTypeGUID] [uniqueidentifier] NOT NULL,
	[ContentDBServer] [nvarchar](50) NOT NULL,
	[ContentDBName] [nvarchar](50) NOT NULL,
	[StorageDBServer] [nvarchar](50) NOT NULL,
	[StorageDBName] [nvarchar](50) NOT NULL,
	[ExtensibleDBServer] [nvarchar](50) NOT NULL,
	[ExtensibleDBName] [nvarchar](50) NOT NULL,
	[SearchDBServer] [nvarchar](50) NOT NULL,
	[SearchDBName] [nvarchar](50) NOT NULL,
 CONSTRAINT [PK_tblSystem] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblSystemType]    Script Date: 11/9/2012 1:53:56 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblSystemType](
	[GUID] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[Name] [nvarchar](500) NOT NULL,
	[Description] [nvarchar](50) NULL,
	[IsDefault] [bit] NOT NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
 CONSTRAINT [PK_tblSystemType] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblTaxonomy]    Script Date: 11/9/2012 1:53:56 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblTaxonomy](
	[GUID] [uniqueidentifier] NOT NULL,
	[Name] [nvarchar](500) NOT NULL,
	[Description] [nvarchar](max) SPARSE  NULL,
	[ParentGUID] [uniqueidentifier] NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
 CONSTRAINT [PK_tblTaxonomy] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblVersion]    Script Date: 11/9/2012 1:53:56 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblVersion](
	[GUID] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[Name] [nvarchar](500) NOT NULL,
	[Description] [nvarchar](max) NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[Sequence] [int] NOT NULL,
 CONSTRAINT [PK_tblVersion] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
ALTER TABLE [dbo].[tblApplication] ADD  CONSTRAINT [DF_tblApplication_GUID]  DEFAULT (newid()) FOR [GUID]
GO
ALTER TABLE [dbo].[tblApplicationConfiguration] ADD  CONSTRAINT [DF_tblApplicationConfiguration_GUID]  DEFAULT (newid()) FOR [GUID]
GO
ALTER TABLE [dbo].[tblApplicationConfiguration] ADD  CONSTRAINT [DF_tblApplicationConfiguration_IsAutomatedConfiguration]  DEFAULT ((1)) FOR [IsAutomatedConfiguration]
GO
ALTER TABLE [dbo].[tblAppModulFormConfig] ADD  CONSTRAINT [DF_tblAppModulFormConfig_GUID]  DEFAULT (newid()) FOR [GUID]
GO
ALTER TABLE [dbo].[tblAppModulFormConfig] ADD  CONSTRAINT [DF_tblAppModulFormConfig_OrderPosition]  DEFAULT ((0)) FOR [OrderPosition]
GO
ALTER TABLE [dbo].[tblColumn] ADD  CONSTRAINT [DF_tblColumn_GUID]  DEFAULT (newid()) FOR [GUID]
GO
ALTER TABLE [dbo].[tblColumnFormConfig] ADD  CONSTRAINT [DF_tblColumnFormConfig_ColumnOrder]  DEFAULT ((1)) FOR [ColumnOrder]
GO
ALTER TABLE [dbo].[tblColumnFormConfig] ADD  CONSTRAINT [DF_tblColumnFormConfig_IsItemTemplateVisible]  DEFAULT ((0)) FOR [IsItemTemplateVisible]
GO
ALTER TABLE [dbo].[tblDeployment] ADD  CONSTRAINT [DF_tblDeployment_GUID]  DEFAULT (newid()) FOR [GUID]
GO
ALTER TABLE [dbo].[tblEdition] ADD  CONSTRAINT [DF_tblEdition_GUID]  DEFAULT (newid()) FOR [GUID]
GO
ALTER TABLE [dbo].[tblFarm] ADD  CONSTRAINT [DF_tblFarm_GUID]  DEFAULT (newid()) FOR [GUID]
GO
ALTER TABLE [dbo].[tblForm] ADD  CONSTRAINT [DF_tblForm_GUID]  DEFAULT (newid()) FOR [GUID]
GO
ALTER TABLE [dbo].[tblForm] ADD  CONSTRAINT [DF_tblForm_Sequence]  DEFAULT ((1)) FOR [Sequence]
GO
ALTER TABLE [dbo].[tblForm] ADD  CONSTRAINT [DF_tblForm_DisplayTitle]  DEFAULT ((1)) FOR [DisplayTitle]
GO
ALTER TABLE [dbo].[tblForm] ADD  CONSTRAINT [DF_tblForm_DisplayDescription]  DEFAULT ((1)) FOR [DisplayDescription]
GO
ALTER TABLE [dbo].[tblForm] ADD  CONSTRAINT [DF_tblForm_IsMarketplace]  DEFAULT ((0)) FOR [IsMarketplace]
GO
ALTER TABLE [dbo].[tblModul] ADD  CONSTRAINT [DF_tblModul_GUID]  DEFAULT (newid()) FOR [GUID]
GO
ALTER TABLE [dbo].[tblRelease] ADD  CONSTRAINT [DF_tblRelease_GUID]  DEFAULT (newid()) FOR [GUID]
GO
ALTER TABLE [dbo].[tblSystem] ADD  CONSTRAINT [DF_tblSystem_GUID]  DEFAULT (newid()) FOR [GUID]
GO
ALTER TABLE [dbo].[tblSystemType] ADD  CONSTRAINT [DF_tblSystemType_GUID]  DEFAULT (newid()) FOR [GUID]
GO
ALTER TABLE [dbo].[tblVersion] ADD  CONSTRAINT [DF_tblVersion_GUID]  DEFAULT (newid()) FOR [GUID]
GO
ALTER TABLE [dbo].[tblAppConfigPrincipal]  WITH CHECK ADD  CONSTRAINT [FK_tblAppConfigPrincipal_tblApplicationConfiguration] FOREIGN KEY([ApplicationConfigGUID])
REFERENCES [dbo].[tblApplicationConfiguration] ([GUID])
GO
ALTER TABLE [dbo].[tblAppConfigPrincipal] CHECK CONSTRAINT [FK_tblAppConfigPrincipal_tblApplicationConfiguration]
GO
ALTER TABLE [dbo].[tblApplicationConfiguration]  WITH CHECK ADD  CONSTRAINT [FK_tblApplicationConfiguration_tblApplication] FOREIGN KEY([ApplicationGUID])
REFERENCES [dbo].[tblApplication] ([GUID])
GO
ALTER TABLE [dbo].[tblApplicationConfiguration] CHECK CONSTRAINT [FK_tblApplicationConfiguration_tblApplication]
GO
ALTER TABLE [dbo].[tblApplicationConfiguration]  WITH CHECK ADD  CONSTRAINT [FK_tblApplicationConfiguration_tblRelease] FOREIGN KEY([ReleaseGUID])
REFERENCES [dbo].[tblRelease] ([GUID])
GO
ALTER TABLE [dbo].[tblApplicationConfiguration] CHECK CONSTRAINT [FK_tblApplicationConfiguration_tblRelease]
GO
ALTER TABLE [dbo].[tblApplicationConfiguration]  WITH CHECK ADD  CONSTRAINT [FK_tblApplicationConfiguration_tblVersion] FOREIGN KEY([VersionGUID])
REFERENCES [dbo].[tblVersion] ([GUID])
GO
ALTER TABLE [dbo].[tblApplicationConfiguration] CHECK CONSTRAINT [FK_tblApplicationConfiguration_tblVersion]
GO
ALTER TABLE [dbo].[tblApplicationConfiguration]  WITH CHECK ADD  CONSTRAINT [tblApplicationConfiguration_fk] FOREIGN KEY([EditionGUID])
REFERENCES [dbo].[tblEdition] ([GUID])
GO
ALTER TABLE [dbo].[tblApplicationConfiguration] CHECK CONSTRAINT [tblApplicationConfiguration_fk]
GO
ALTER TABLE [dbo].[tblApplicationConfiguration]  WITH CHECK ADD  CONSTRAINT [tblApplicationConfiguration_fk2] FOREIGN KEY([SystemGUID])
REFERENCES [dbo].[tblSystem] ([GUID])
GO
ALTER TABLE [dbo].[tblApplicationConfiguration] CHECK CONSTRAINT [tblApplicationConfiguration_fk2]
GO
ALTER TABLE [dbo].[tblAppModulFormConfig]  WITH CHECK ADD  CONSTRAINT [tblAppModulFormConfig_fk] FOREIGN KEY([ApplicationConfigGUID])
REFERENCES [dbo].[tblApplicationConfiguration] ([GUID])
GO
ALTER TABLE [dbo].[tblAppModulFormConfig] CHECK CONSTRAINT [tblAppModulFormConfig_fk]
GO
ALTER TABLE [dbo].[tblAppModulFormConfig]  WITH CHECK ADD  CONSTRAINT [tblAppModulFormConfig_fk2] FOREIGN KEY([FormGUID])
REFERENCES [dbo].[tblForm] ([GUID])
GO
ALTER TABLE [dbo].[tblAppModulFormConfig] CHECK CONSTRAINT [tblAppModulFormConfig_fk2]
GO
ALTER TABLE [dbo].[tblAppModulFormConfig]  WITH CHECK ADD  CONSTRAINT [tblAppModulFormConfig_fk3] FOREIGN KEY([ModulGUID])
REFERENCES [dbo].[tblModul] ([GUID])
GO
ALTER TABLE [dbo].[tblAppModulFormConfig] CHECK CONSTRAINT [tblAppModulFormConfig_fk3]
GO
ALTER TABLE [dbo].[tblColumnFormConfig]  WITH CHECK ADD  CONSTRAINT [FK_tblColumnFormConfig_tblApplicationConfiguration] FOREIGN KEY([AppConfigGUID])
REFERENCES [dbo].[tblApplicationConfiguration] ([GUID])
GO
ALTER TABLE [dbo].[tblColumnFormConfig] CHECK CONSTRAINT [FK_tblColumnFormConfig_tblApplicationConfiguration]
GO
ALTER TABLE [dbo].[tblColumnFormConfig]  WITH CHECK ADD  CONSTRAINT [FK_tblColumnFormConfig_tblColumn] FOREIGN KEY([ColumnGUID])
REFERENCES [dbo].[tblColumn] ([GUID])
GO
ALTER TABLE [dbo].[tblColumnFormConfig] CHECK CONSTRAINT [FK_tblColumnFormConfig_tblColumn]
GO
ALTER TABLE [dbo].[tblColumnFormConfig]  WITH CHECK ADD  CONSTRAINT [FK_tblColumnFormConfig_tblForm] FOREIGN KEY([FormGUID])
REFERENCES [dbo].[tblForm] ([GUID])
GO
ALTER TABLE [dbo].[tblColumnFormConfig] CHECK CONSTRAINT [FK_tblColumnFormConfig_tblForm]
GO
ALTER TABLE [dbo].[tblDeployment]  WITH CHECK ADD  CONSTRAINT [tblDeployment_fk] FOREIGN KEY([AppConfigGUID])
REFERENCES [dbo].[tblApplicationConfiguration] ([GUID])
GO
ALTER TABLE [dbo].[tblDeployment] CHECK CONSTRAINT [tblDeployment_fk]
GO
ALTER TABLE [dbo].[tblFormRelated]  WITH CHECK ADD  CONSTRAINT [tblFormRelated_fk] FOREIGN KEY([FormGUID])
REFERENCES [dbo].[tblForm] ([GUID])
GO
ALTER TABLE [dbo].[tblFormRelated] CHECK CONSTRAINT [tblFormRelated_fk]
GO
ALTER TABLE [dbo].[tblFormRelated]  WITH CHECK ADD  CONSTRAINT [tblFormRelated_fk2] FOREIGN KEY([RelatedFormGUID])
REFERENCES [dbo].[tblForm] ([GUID])
GO
ALTER TABLE [dbo].[tblFormRelated] CHECK CONSTRAINT [tblFormRelated_fk2]
GO
ALTER TABLE [dbo].[tblFormRelated]  WITH CHECK ADD  CONSTRAINT [tblFormRelated_fk3] FOREIGN KEY([AppConfigGUID])
REFERENCES [dbo].[tblApplicationConfiguration] ([GUID])
GO
ALTER TABLE [dbo].[tblFormRelated] CHECK CONSTRAINT [tblFormRelated_fk3]
GO
ALTER TABLE [dbo].[tblModul]  WITH CHECK ADD  CONSTRAINT [tblModul_fk] FOREIGN KEY([ApplicationGUID])
REFERENCES [dbo].[tblApplication] ([GUID])
GO
ALTER TABLE [dbo].[tblModul] CHECK CONSTRAINT [tblModul_fk]
GO
ALTER TABLE [dbo].[tblSystem]  WITH CHECK ADD  CONSTRAINT [FK_tblSystem_tblFarm] FOREIGN KEY([FarmGUID])
REFERENCES [dbo].[tblFarm] ([GUID])
GO
ALTER TABLE [dbo].[tblSystem] CHECK CONSTRAINT [FK_tblSystem_tblFarm]
GO
ALTER TABLE [dbo].[tblSystem]  WITH CHECK ADD  CONSTRAINT [FK_tblSystem_tblSystemType] FOREIGN KEY([SystemTypeGUID])
REFERENCES [dbo].[tblSystemType] ([GUID])
GO
ALTER TABLE [dbo].[tblSystem] CHECK CONSTRAINT [FK_tblSystem_tblSystemType]
GO
EXEC sys.sp_addextendedproperty @name=N'MS_AggregateType', @value=-1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'GUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnHidden', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'GUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnOrder', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'GUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnWidth', @value=1890 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'GUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_CurrencyLCID', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'GUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_TextAlign', @value=0x00 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'GUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_AggregateType', @value=-1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'AppConfigGUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnHidden', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'AppConfigGUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnOrder', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'AppConfigGUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnWidth', @value=2715 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'AppConfigGUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_CurrencyLCID', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'AppConfigGUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_TextAlign', @value=0x00 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'AppConfigGUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_AggregateType', @value=-1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'ComputerName'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnHidden', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'ComputerName'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnOrder', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'ComputerName'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnWidth', @value=2250 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'ComputerName'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_CurrencyLCID', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'ComputerName'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_TextAlign', @value=0x00 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'ComputerName'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_AggregateType', @value=-1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'IPAdress'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnHidden', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'IPAdress'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnOrder', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'IPAdress'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnWidth', @value=2100 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'IPAdress'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_CurrencyLCID', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'IPAdress'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_TextAlign', @value=0x00 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'IPAdress'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_AggregateType', @value=-1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'EmployeeGUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnHidden', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'EmployeeGUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnOrder', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'EmployeeGUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnWidth', @value=2580 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'EmployeeGUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_CurrencyLCID', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'EmployeeGUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_TextAlign', @value=0x00 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'EmployeeGUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_AggregateType', @value=-1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'PrincipalGUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnHidden', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'PrincipalGUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnOrder', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'PrincipalGUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnWidth', @value=2535 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'PrincipalGUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_CurrencyLCID', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'PrincipalGUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_TextAlign', @value=0x00 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'PrincipalGUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_AggregateType', @value=-1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'FilePath'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnHidden', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'FilePath'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnOrder', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'FilePath'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnWidth', @value=2835 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'FilePath'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_CurrencyLCID', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'FilePath'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_TextAlign', @value=0x00 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment', @level2type=N'COLUMN',@level2name=N'FilePath'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_AlternateBackThemeColorIndex', @value=-1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DatasheetForeThemeColorIndex', @value=-1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DatasheetGridlinesThemeColorIndex', @value=-1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DefaultView', @value=0x02 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Filter', @value=NULL , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_FilterOnLoad', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_HideNewField', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_OrderBy', @value=NULL , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_OrderByOn', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_OrderByOnLoad', @value=1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Orientation', @value=0x00 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_TableMaxRecords', @value=10000 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ThemeFontIndex', @value=-1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_TotalsRow', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblDeployment'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_AggregateType', @value=-1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'GUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnHidden', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'GUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnOrder', @value=1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'GUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnWidth', @value=1065 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'GUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_CurrencyLCID', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'GUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_TextAlign', @value=NULL , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'GUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_AggregateType', @value=-1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'Name'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnHidden', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'Name'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnOrder', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'Name'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnWidth', @value=2205 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'Name'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_CurrencyLCID', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'Name'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_TextAlign', @value=NULL , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'Name'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_AggregateType', @value=-1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'Description'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnHidden', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'Description'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnOrder', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'Description'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnWidth', @value=945 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'Description'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_CurrencyLCID', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'Description'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_TextAlign', @value=NULL , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'Description'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_AggregateType', @value=-1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'PrincipalGUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnHidden', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'PrincipalGUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnOrder', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'PrincipalGUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnWidth', @value=4230 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'PrincipalGUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_CurrencyLCID', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'PrincipalGUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_TextAlign', @value=NULL , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'PrincipalGUID'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_AggregateType', @value=-1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'Sequence'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnHidden', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'Sequence'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnOrder', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'Sequence'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnWidth', @value=1740 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'Sequence'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_CurrencyLCID', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'Sequence'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_TextAlign', @value=NULL , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'Sequence'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_AggregateType', @value=-1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'Type'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnHidden', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'Type'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnOrder', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'Type'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ColumnWidth', @value=-1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'Type'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_CurrencyLCID', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'Type'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_TextAlign', @value=NULL , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm', @level2type=N'COLUMN',@level2name=N'Type'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_AlternateBackThemeColorIndex', @value=-1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DatasheetForeThemeColorIndex', @value=-1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DatasheetGridlinesThemeColorIndex', @value=-1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_DefaultView', @value=0x02 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Filter', @value=NULL , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_FilterOnLoad', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_HideNewField', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_OrderBy', @value=NULL , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_OrderByOn', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_OrderByOnLoad', @value=1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Orientation', @value=NULL , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_TableMaxRecords', @value=10000 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_ThemeFontIndex', @value=-1 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_TotalsRow', @value=0 , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'tblForm'
GO
