﻿USE [mbs6search]
GO
/****** Object:  Table [dbo].[tblDynamicSearch]    Script Date: 11/3/2012 1:29:00 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblDynamicSearch](
	[MetaGUID] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[MetaID] [nvarchar](50) NULL,
	[MetaNo] [nvarchar](50) NULL,
	[MetaMatchcode] [nvarchar](2000) NULL,
	[MetaName] [nvarchar](500) NOT NULL,
	[MetaDescription] [nvarchar](2000) NULL,
	[MetaCategory] [nvarchar](500) NULL,
	[MetaCreatedBy] [uniqueidentifier] NOT NULL,
	[MetaCreatedAt] [datetime] NOT NULL,
	[MetaModyfiedBy] [uniqueidentifier] NOT NULL,
	[MetaModyfiedAt] [datetime] NOT NULL,
	[MetaContentTypeGUID] [uniqueidentifier] NOT NULL,
	[MetaMandantGUID] [uniqueidentifier] NOT NULL,
	[MetaLanguageGUID] [uniqueidentifier] NULL,
	[MetaParentItemGUID] [uniqueidentifier] NULL,
	[MetaGlobalItemGUID] [uniqueidentifier] NULL,
	[MetaApplicationConfigGUID] [uniqueidentifier] NOT NULL,
 CONSTRAINT [PK_tblDynamicSearch] PRIMARY KEY CLUSTERED 
(
	[MetaGUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblSearchObjects]    Script Date: 11/3/2012 1:29:00 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblSearchObjects](
	[GUID] [uniqueidentifier] NOT NULL,
	[Title] [nvarchar](500) NOT NULL,
	[Description] [nvarchar](max) NULL,
	[Matchcode] [nvarchar](2000) NOT NULL,
	[ReferenceGUID] [uniqueidentifier] NOT NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[SystemGUID] [uniqueidentifier] NULL,
	[ApplicationGUID] [uniqueidentifier] NOT NULL
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblTaxonomyReference]    Script Date: 11/3/2012 1:29:00 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblTaxonomyReference](
	[ContentGUID] [uniqueidentifier] NOT NULL,
	[TaxonomyGUID] [uniqueidentifier] NOT NULL,
	[Name] [nvarchar](500) NOT NULL,
	[TableGUID] [uniqueidentifier] NOT NULL,
 CONSTRAINT [PK_tblTaxonomyReference] PRIMARY KEY CLUSTERED 
(
	[ContentGUID] ASC,
	[TaxonomyGUID] ASC,
	[TableGUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
ALTER TABLE [dbo].[tblDynamicSearch] ADD  CONSTRAINT [DF_tblDynamicSearch_MetaGUID]  DEFAULT (newid()) FOR [MetaGUID]
GO
ALTER TABLE [dbo].[tblTaxonomyReference]  WITH CHECK ADD  CONSTRAINT [FK_tblTaxonomyReference_tblDynamicSearch] FOREIGN KEY([ContentGUID])
REFERENCES [dbo].[tblDynamicSearch] ([MetaGUID])
GO
ALTER TABLE [dbo].[tblTaxonomyReference] CHECK CONSTRAINT [FK_tblTaxonomyReference_tblDynamicSearch]
GO
