﻿USE [mbs6security]
GO
/****** Object:  Table [dbo].[tblBasePermission]    Script Date: 12/15/2012 12:27:35 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblBasePermission](
	[GUID] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[Permission] [nvarchar](500) NOT NULL,
	[Description] [nvarchar](max) NULL,
	[PermissionOrder] [int] NOT NULL,
 CONSTRAINT [PK_tblBasePermission] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblDirectUserPermission]    Script Date: 12/15/2012 12:27:35 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblDirectUserPermission](
	[GUID] [uniqueidentifier] NOT NULL,
	[UserGUID] [uniqueidentifier] NOT NULL,
	[PermissionID] [int] NOT NULL,
	[Permission] [nvarchar](50) NOT NULL,
 CONSTRAINT [PK_tblDirectUserPermission] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblGroup]    Script Date: 12/15/2012 12:27:35 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblGroup](
	[GUID] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[GroupName] [nvarchar](250) NOT NULL,
	[Description] [nvarchar](max) NULL,
	[MandantGUID] [uniqueidentifier] NOT NULL,
 CONSTRAINT [PK_tblGroup] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblLogIns]    Script Date: 12/15/2012 12:27:35 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblLogIns](
	[GUID] [uniqueidentifier] NOT NULL,
	[LogInDate] [datetime] NOT NULL,
	[UserGUID] [uniqueidentifier] NOT NULL,
	[MandantGUID] [uniqueidentifier] NOT NULL,
	[SystemGUID] [uniqueidentifier] NULL,
	[ApplicationGUID] [uniqueidentifier] NULL,
	[AppConfigGUID] [uniqueidentifier] NULL,
 CONSTRAINT [PK_tblLogIns] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblMandant]    Script Date: 12/15/2012 12:27:35 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblMandant](
	[GUID] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[Name] [nvarchar](500) NOT NULL,
	[Description] [nvarchar](max) NULL,
	[Domain] [nvarchar](500) NOT NULL,
	[SecScmdVal] [nvarchar](500) NULL,
	[PrivateKey] [nvarchar](500) NULL,
	[PublicKey] [nvarchar](500) NULL,
	[StaticKey] [nvarchar](500) NULL,
 CONSTRAINT [PK_tblMandant] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblPermission]    Script Date: 12/15/2012 12:27:35 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblPermission](
	[GUID] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[Permission] [nvarchar](250) NOT NULL,
	[Description] [nvarchar](max) NULL,
	[MandantGUID] [uniqueidentifier] NOT NULL,
	[PermissionOrder] [int] NOT NULL,
 CONSTRAINT [PK_tblPermission] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblPermission2Level]    Script Date: 12/15/2012 12:27:35 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblPermission2Level](
	[LevelGUID] [uniqueidentifier] NOT NULL,
	[PermissionGUID] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
 CONSTRAINT [PK_tblPermission2Level] PRIMARY KEY CLUSTERED 
(
	[LevelGUID] ASC,
	[PermissionGUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblPermissionLevel]    Script Date: 12/15/2012 12:27:35 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblPermissionLevel](
	[GUID] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[PermissionLevel] [nvarchar](250) NOT NULL,
	[Description] [nvarchar](max) NULL,
	[MandantGUID] [uniqueidentifier] NOT NULL,
 CONSTRAINT [PK_tblLevel] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblSecurityReference]    Script Date: 12/15/2012 12:27:35 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblSecurityReference](
	[GUID] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[MandantGUID] [uniqueidentifier] NOT NULL,
	[ReferenceGUID] [uniqueidentifier] NOT NULL,
	[UserGroupGUID] [uniqueidentifier] NOT NULL,
	[PermissionLevelGUID] [uniqueidentifier] NOT NULL,
 CONSTRAINT [PK_tblSecurityReference] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblUser]    Script Date: 12/15/2012 12:27:35 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
CREATE TABLE [dbo].[tblUser](
	[GUID] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[Domain] [nvarchar](50) NOT NULL,
	[Username] [nvarchar](50) NOT NULL,
	[FullName] [nvarchar](500) NULL,
	[FirstName] [nvarchar](200) NOT NULL,
	[SecondName] [nvarchar](100) NULL,
	[LastName] [nvarchar](200) NOT NULL,
	[MandantGUID] [uniqueidentifier] NOT NULL,
	[EMail] [nvarchar](500) NOT NULL,
	[IsFarmAdmin] [bit] NOT NULL,
	[IsActive] [bit] NOT NULL,
	[Password] [nvarchar](500) NULL,
	[SecScmdVal] [nvarchar](500) NOT NULL,
	[UserImage] [varbinary](max) NULL,
	[TitleImage] [varbinary](max) NULL,
	[AboutMe] [nvarchar](2000) NULL,
	[BusinessHierarchyGUID] [uniqueidentifier] NULL,
	[Position] [nvarchar](500) NULL,
	[Function] [nvarchar](500) NULL,
	[BusinessAddress] [nvarchar](2000) NULL,
	[Phone] [nvarchar](50) NULL,
	[Mobile] [nvarchar](50) NULL,
	[ExpirationDate] [datetime] NULL,
	[AccountID] [nvarchar](500) NULL,
 CONSTRAINT [PK_tblUser] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
SET ANSI_PADDING OFF
GO
/****** Object:  Table [dbo].[tblUser2Group]    Script Date: 12/15/2012 12:27:35 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblUser2Group](
	[UserGroupGUID] [uniqueidentifier] NOT NULL,
	[UserGUID] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
 CONSTRAINT [PK_tblUser2Group] PRIMARY KEY CLUSTERED 
(
	[UserGroupGUID] ASC,
	[UserGUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
ALTER TABLE [dbo].[tblBasePermission] ADD  CONSTRAINT [DF_tblBasePermission_GUID]  DEFAULT (newid()) FOR [GUID]
GO
ALTER TABLE [dbo].[tblGroup] ADD  CONSTRAINT [DF_tblGroup_GUID]  DEFAULT (newid()) FOR [GUID]
GO
ALTER TABLE [dbo].[tblMandant] ADD  CONSTRAINT [DF_tblMandant_GUID]  DEFAULT (newid()) FOR [GUID]
GO
ALTER TABLE [dbo].[tblPermission] ADD  CONSTRAINT [DF_tblPermission_GUID]  DEFAULT (newid()) FOR [GUID]
GO
ALTER TABLE [dbo].[tblPermission2Level] ADD  CONSTRAINT [DF_tblPermission2Level_LevelGUID]  DEFAULT (newid()) FOR [LevelGUID]
GO
ALTER TABLE [dbo].[tblPermission2Level] ADD  CONSTRAINT [DF_tblPermission2Level_PermissionGUID]  DEFAULT (newid()) FOR [PermissionGUID]
GO
ALTER TABLE [dbo].[tblPermissionLevel] ADD  CONSTRAINT [DF_tblPermissionLevel_GUID]  DEFAULT (newid()) FOR [GUID]
GO
ALTER TABLE [dbo].[tblSecurityReference] ADD  CONSTRAINT [DF_tblSecurityReference_GUID]  DEFAULT (newid()) FOR [GUID]
GO
ALTER TABLE [dbo].[tblUser] ADD  CONSTRAINT [DF_tblUser_GUID]  DEFAULT (newid()) FOR [GUID]
GO
ALTER TABLE [dbo].[tblUser] ADD  CONSTRAINT [DF_tblUser_IsFarmAdmin]  DEFAULT ((0)) FOR [IsFarmAdmin]
GO
ALTER TABLE [dbo].[tblUser] ADD  CONSTRAINT [DF_tblUser_IsActive]  DEFAULT ((1)) FOR [IsActive]
GO
ALTER TABLE [dbo].[tblUser2Group] ADD  CONSTRAINT [DF_tblUser2Group_UserGroupGUID]  DEFAULT (newid()) FOR [UserGroupGUID]
GO
ALTER TABLE [dbo].[tblUser2Group] ADD  CONSTRAINT [DF_tblUser2Group_UserGUID]  DEFAULT (newid()) FOR [UserGUID]
GO
ALTER TABLE [dbo].[tblDirectUserPermission]  WITH CHECK ADD  CONSTRAINT [FK_tblDirectUserPermission_tblUser] FOREIGN KEY([UserGUID])
REFERENCES [dbo].[tblUser] ([GUID])
GO
ALTER TABLE [dbo].[tblDirectUserPermission] CHECK CONSTRAINT [FK_tblDirectUserPermission_tblUser]
GO
ALTER TABLE [dbo].[tblGroup]  WITH CHECK ADD  CONSTRAINT [FK_tblGroup_tblMandant] FOREIGN KEY([MandantGUID])
REFERENCES [dbo].[tblMandant] ([GUID])
GO
ALTER TABLE [dbo].[tblGroup] CHECK CONSTRAINT [FK_tblGroup_tblMandant]
GO
ALTER TABLE [dbo].[tblLogIns]  WITH CHECK ADD  CONSTRAINT [FK_tblLogIns_tblMandant] FOREIGN KEY([MandantGUID])
REFERENCES [dbo].[tblMandant] ([GUID])
GO
ALTER TABLE [dbo].[tblLogIns] CHECK CONSTRAINT [FK_tblLogIns_tblMandant]
GO
ALTER TABLE [dbo].[tblLogIns]  WITH CHECK ADD  CONSTRAINT [FK_tblLogIns_tblUser] FOREIGN KEY([UserGUID])
REFERENCES [dbo].[tblUser] ([GUID])
GO
ALTER TABLE [dbo].[tblLogIns] CHECK CONSTRAINT [FK_tblLogIns_tblUser]
GO
ALTER TABLE [dbo].[tblPermission]  WITH CHECK ADD  CONSTRAINT [FK_tblPermission_tblMandant] FOREIGN KEY([MandantGUID])
REFERENCES [dbo].[tblMandant] ([GUID])
GO
ALTER TABLE [dbo].[tblPermission] CHECK CONSTRAINT [FK_tblPermission_tblMandant]
GO
ALTER TABLE [dbo].[tblPermission2Level]  WITH CHECK ADD  CONSTRAINT [FK_tblPermission2Level_tblPermission] FOREIGN KEY([PermissionGUID])
REFERENCES [dbo].[tblPermission] ([GUID])
GO
ALTER TABLE [dbo].[tblPermission2Level] CHECK CONSTRAINT [FK_tblPermission2Level_tblPermission]
GO
ALTER TABLE [dbo].[tblPermission2Level]  WITH CHECK ADD  CONSTRAINT [FK_tblPermission2Level_tblPermissionLevel] FOREIGN KEY([LevelGUID])
REFERENCES [dbo].[tblPermissionLevel] ([GUID])
GO
ALTER TABLE [dbo].[tblPermission2Level] CHECK CONSTRAINT [FK_tblPermission2Level_tblPermissionLevel]
GO
ALTER TABLE [dbo].[tblPermissionLevel]  WITH CHECK ADD  CONSTRAINT [FK_tblPermissionLevel_tblMandant] FOREIGN KEY([MandantGUID])
REFERENCES [dbo].[tblMandant] ([GUID])
GO
ALTER TABLE [dbo].[tblPermissionLevel] CHECK CONSTRAINT [FK_tblPermissionLevel_tblMandant]
GO
ALTER TABLE [dbo].[tblSecurityReference]  WITH CHECK ADD  CONSTRAINT [FK_tblSecurityReference_tblGroup] FOREIGN KEY([UserGroupGUID])
REFERENCES [dbo].[tblGroup] ([GUID])
GO
ALTER TABLE [dbo].[tblSecurityReference] CHECK CONSTRAINT [FK_tblSecurityReference_tblGroup]
GO
ALTER TABLE [dbo].[tblSecurityReference]  WITH CHECK ADD  CONSTRAINT [FK_tblSecurityReference_tblMandant] FOREIGN KEY([MandantGUID])
REFERENCES [dbo].[tblMandant] ([GUID])
GO
ALTER TABLE [dbo].[tblSecurityReference] CHECK CONSTRAINT [FK_tblSecurityReference_tblMandant]
GO
ALTER TABLE [dbo].[tblSecurityReference]  WITH CHECK ADD  CONSTRAINT [FK_tblSecurityReference_tblPermissionLevel] FOREIGN KEY([PermissionLevelGUID])
REFERENCES [dbo].[tblPermissionLevel] ([GUID])
GO
ALTER TABLE [dbo].[tblSecurityReference] CHECK CONSTRAINT [FK_tblSecurityReference_tblPermissionLevel]
GO
ALTER TABLE [dbo].[tblUser]  WITH CHECK ADD  CONSTRAINT [FK_tblUser_tblMandant] FOREIGN KEY([MandantGUID])
REFERENCES [dbo].[tblMandant] ([GUID])
GO
ALTER TABLE [dbo].[tblUser] CHECK CONSTRAINT [FK_tblUser_tblMandant]
GO
ALTER TABLE [dbo].[tblUser2Group]  WITH CHECK ADD  CONSTRAINT [FK_tblUser2Group_tblGroup] FOREIGN KEY([UserGroupGUID])
REFERENCES [dbo].[tblGroup] ([GUID])
GO
ALTER TABLE [dbo].[tblUser2Group] CHECK CONSTRAINT [FK_tblUser2Group_tblGroup]
GO
ALTER TABLE [dbo].[tblUser2Group]  WITH CHECK ADD  CONSTRAINT [FK_tblUser2Group_tblUser] FOREIGN KEY([UserGUID])
REFERENCES [dbo].[tblUser] ([GUID])
GO
ALTER TABLE [dbo].[tblUser2Group] CHECK CONSTRAINT [FK_tblUser2Group_tblUser]
GO
