﻿USE [mbs6workflow]
GO
/****** Object:  Table [dbo].[tblActivityLogging]    Script Date: 12/15/2012 12:31:46 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblActivityLogging](
	[GUID] [uniqueidentifier] NOT NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[UserGUID] [uniqueidentifier] NOT NULL,
	[Activity] [uniqueidentifier] NOT NULL,
	[ActivityName] [nvarchar](50) NULL,
	[LogDate] [datetime] NOT NULL,
	[SystemGUID] [uniqueidentifier] NULL,
	[ApplicationGUID] [uniqueidentifier] NULL,
	[ProcessGUID] [uniqueidentifier] NOT NULL,
 CONSTRAINT [PK_tblActivity] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblBusinessProcess]    Script Date: 12/15/2012 12:31:46 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblBusinessProcess](
	[GUID] [uniqueidentifier] NOT NULL,
	[Name] [nvarchar](500) NOT NULL,
	[Description] [nvarchar](2000) NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[SystemGUID] [uniqueidentifier] NULL,
	[ApplicationGUID] [uniqueidentifier] NOT NULL,
	[ParentGUID] [uniqueidentifier] NULL,
	[BusinessHierarchyGUID] [uniqueidentifier] NULL,
	[ExpectedResult] [nvarchar](max) SPARSE  NULL,
	[PreConditions] [nvarchar](max) SPARSE  NULL,
	[PostConditions] [nvarchar](max) SPARSE  NULL,
 CONSTRAINT [PK_tblBusinessProcess] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblConnection]    Script Date: 12/15/2012 12:31:46 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblConnection](
	[GUID] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[PreStepGUID] [uniqueidentifier] NOT NULL,
	[PostStepGUID] [uniqueidentifier] NOT NULL,
	[ProcessGUID] [uniqueidentifier] NOT NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[RoleGUID] [uniqueidentifier] NULL,
	[SourcePos] [nvarchar](50) NOT NULL,
	[SourceTop] [int] NOT NULL,
	[SourceLeft] [int] NOT NULL,
	[SinkTop] [int] NOT NULL,
	[SinkLeft] [int] NOT NULL,
	[SinkPos] [nvarchar](50) NOT NULL,
 CONSTRAINT [PK_tblConnection] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblParameterLogging]    Script Date: 12/15/2012 12:31:46 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblParameterLogging](
	[GUID] [uniqueidentifier] NOT NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[UserGUID] [uniqueidentifier] NOT NULL,
	[ParameterField] [nvarchar](50) NOT NULL,
	[ParameterValue] [nvarchar](500) NOT NULL,
	[LogDate] [datetime] NOT NULL,
	[SystemGUID] [uniqueidentifier] NULL,
	[ApplicationGUID] [uniqueidentifier] NULL,
	[ActivityGUID] [uniqueidentifier] NOT NULL,
 CONSTRAINT [PK_tblParameter] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblProcessInstance]    Script Date: 12/15/2012 12:31:46 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblProcessInstance](
	[GUID] [uniqueidentifier] NOT NULL,
	[ProcessGUID] [uniqueidentifier] NOT NULL,
	[Name] [nvarchar](500) NOT NULL,
	[Description] [nvarchar](2000) NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[UserGUID] [uniqueidentifier] NOT NULL,
	[StartPoint] [datetime] NOT NULL,
	[EndPoint] [datetime] NULL,
	[IsDone] [bit] NULL,
 CONSTRAINT [PK_tblProcessInstance] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblProcessInstanceStep]    Script Date: 12/15/2012 12:31:46 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblProcessInstanceStep](
	[GUID] [uniqueidentifier] NOT NULL,
	[InstanceGUID] [uniqueidentifier] NOT NULL,
	[StepGUID] [uniqueidentifier] NOT NULL,
	[IsDone] [bit] NULL,
	[DoneDate] [datetime] NULL,
 CONSTRAINT [PK_tblProcessInstanceStep] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblProcessLogging]    Script Date: 12/15/2012 12:31:46 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblProcessLogging](
	[GUID] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[UserGUID] [uniqueidentifier] NOT NULL,
	[SystemGUID] [uniqueidentifier] NULL,
	[ApplicationGUID] [uniqueidentifier] NULL,
	[LogDate] [datetime] NOT NULL,
	[Frequency] [int] NOT NULL,
	[Form1GUID] [uniqueidentifier] NOT NULL,
	[Form2GUID] [uniqueidentifier] NOT NULL,
	[Form3GUID] [uniqueidentifier] NOT NULL,
	[Form4GUID] [uniqueidentifier] NULL,
	[Form5GUID] [uniqueidentifier] NULL,
	[Form6GUID] [uniqueidentifier] NULL,
	[Form7GUID] [uniqueidentifier] NULL,
	[Form8GUID] [uniqueidentifier] NULL,
	[Form9GUID] [uniqueidentifier] NULL,
	[Form10GUID] [uniqueidentifier] NULL,
 CONSTRAINT [PK_tblProcessLogging] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblRole]    Script Date: 12/15/2012 12:31:46 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblRole](
	[GUID] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[Name] [nvarchar](500) NOT NULL,
	[Description] [nvarchar](2000) NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[ProcessGUID] [uniqueidentifier] NOT NULL,
	[Left] [int] NOT NULL,
	[Top] [int] NOT NULL,
	[Width] [int] NOT NULL,
	[Height] [int] NOT NULL,
 CONSTRAINT [PK_tblRole] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[tblStep]    Script Date: 12/15/2012 12:31:46 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[tblStep](
	[GUID] [uniqueidentifier] ROWGUIDCOL  NOT NULL,
	[Name] [nvarchar](500) NOT NULL,
	[Description] [nvarchar](2000) NULL,
	[PrincipalGUID] [uniqueidentifier] NOT NULL,
	[RoleGUID] [uniqueidentifier] NULL,
	[ProcessGUID] [uniqueidentifier] NOT NULL,
	[Left] [int] NOT NULL,
	[Top] [int] NOT NULL,
	[Width] [int] NOT NULL,
	[Height] [int] NOT NULL,
	[FormGUID] [uniqueidentifier] NULL,
	[ItemTypeValue] [nvarchar](500) NOT NULL,
	[ParentStepGUID] [uniqueidentifier] NULL,
	[Pos] [int] NOT NULL,
	[Decision] [bit] NULL,
	[Condition] [nvarchar](2000) SPARSE  NULL,
	[TruePart] [nvarchar](2000) SPARSE  NULL,
	[FalsePart] [nvarchar](2000) SPARSE  NULL,
	[Role] [nvarchar](500) SPARSE  NULL,
	[PreCondition] [nvarchar](2000) SPARSE  NULL,
	[PostCondition] [nvarchar](2000) SPARSE  NULL,
	[ExpResult] [nvarchar](2000) SPARSE  NULL,
	[MinDuration] [nvarchar](50) SPARSE  NULL,
	[MaxDuration] [nvarchar](50) SPARSE  NULL,
	[AverageDuration] [nvarchar](50) SPARSE  NULL,
 CONSTRAINT [PK_tblStep] PRIMARY KEY CLUSTERED 
(
	[GUID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
ALTER TABLE [dbo].[tblConnection] ADD  CONSTRAINT [DF_tblConnection_GUID]  DEFAULT (newid()) FOR [GUID]
GO
ALTER TABLE [dbo].[tblProcessLogging] ADD  CONSTRAINT [DF_tblProcessLogging_GUID]  DEFAULT (newid()) FOR [GUID]
GO
ALTER TABLE [dbo].[tblRole] ADD  CONSTRAINT [DF_tblRole_GUID]  DEFAULT (newid()) FOR [GUID]
GO
ALTER TABLE [dbo].[tblRole] ADD  CONSTRAINT [DF_tblRole_Left]  DEFAULT ((0)) FOR [Left]
GO
ALTER TABLE [dbo].[tblRole] ADD  CONSTRAINT [DF_tblRole_Top]  DEFAULT ((0)) FOR [Top]
GO
ALTER TABLE [dbo].[tblRole] ADD  CONSTRAINT [DF_tblRole_Width]  DEFAULT ((0)) FOR [Width]
GO
ALTER TABLE [dbo].[tblRole] ADD  CONSTRAINT [DF_tblRole_Height]  DEFAULT ((0)) FOR [Height]
GO
ALTER TABLE [dbo].[tblStep] ADD  CONSTRAINT [DF_tblStep_GUID]  DEFAULT (newid()) FOR [GUID]
GO
ALTER TABLE [dbo].[tblStep] ADD  CONSTRAINT [DF_tblStep_Left]  DEFAULT ((5)) FOR [Left]
GO
ALTER TABLE [dbo].[tblStep] ADD  CONSTRAINT [DF_tblStep_Top]  DEFAULT ((5)) FOR [Top]
GO
ALTER TABLE [dbo].[tblStep] ADD  CONSTRAINT [DF_tblStep_Width]  DEFAULT ((80)) FOR [Width]
GO
ALTER TABLE [dbo].[tblStep] ADD  CONSTRAINT [DF_tblStep_Height]  DEFAULT ((50)) FOR [Height]
GO
ALTER TABLE [dbo].[tblStep] ADD  CONSTRAINT [DF_tblStep_Pos]  DEFAULT ((0)) FOR [Pos]
GO
ALTER TABLE [dbo].[tblConnection]  WITH CHECK ADD  CONSTRAINT [FK_tblConnection_tblStep] FOREIGN KEY([PreStepGUID])
REFERENCES [dbo].[tblStep] ([GUID])
GO
ALTER TABLE [dbo].[tblConnection] CHECK CONSTRAINT [FK_tblConnection_tblStep]
GO
ALTER TABLE [dbo].[tblConnection]  WITH CHECK ADD  CONSTRAINT [FK_tblConnection_tblStep1] FOREIGN KEY([PostStepGUID])
REFERENCES [dbo].[tblStep] ([GUID])
GO
ALTER TABLE [dbo].[tblConnection] CHECK CONSTRAINT [FK_tblConnection_tblStep1]
GO
ALTER TABLE [dbo].[tblParameterLogging]  WITH CHECK ADD  CONSTRAINT [FK_tblParameter_tblActivityLogging] FOREIGN KEY([ActivityGUID])
REFERENCES [dbo].[tblActivityLogging] ([GUID])
GO
ALTER TABLE [dbo].[tblParameterLogging] CHECK CONSTRAINT [FK_tblParameter_tblActivityLogging]
GO
ALTER TABLE [dbo].[tblProcessInstance]  WITH CHECK ADD  CONSTRAINT [FK_tblProcessInstance_tblBusinessProcess] FOREIGN KEY([ProcessGUID])
REFERENCES [dbo].[tblBusinessProcess] ([GUID])
GO
ALTER TABLE [dbo].[tblProcessInstance] CHECK CONSTRAINT [FK_tblProcessInstance_tblBusinessProcess]
GO
ALTER TABLE [dbo].[tblProcessInstanceStep]  WITH CHECK ADD  CONSTRAINT [FK_tblProcessInstanceStep_tblProcessInstance] FOREIGN KEY([InstanceGUID])
REFERENCES [dbo].[tblProcessInstance] ([GUID])
GO
ALTER TABLE [dbo].[tblProcessInstanceStep] CHECK CONSTRAINT [FK_tblProcessInstanceStep_tblProcessInstance]
GO
ALTER TABLE [dbo].[tblRole]  WITH CHECK ADD  CONSTRAINT [FK_tblRole_tblBusinessProcess] FOREIGN KEY([ProcessGUID])
REFERENCES [dbo].[tblBusinessProcess] ([GUID])
GO
ALTER TABLE [dbo].[tblRole] CHECK CONSTRAINT [FK_tblRole_tblBusinessProcess]
GO
ALTER TABLE [dbo].[tblStep]  WITH CHECK ADD  CONSTRAINT [FK_tblStep_tblBusinessProcess] FOREIGN KEY([ProcessGUID])
REFERENCES [dbo].[tblBusinessProcess] ([GUID])
GO
ALTER TABLE [dbo].[tblStep] CHECK CONSTRAINT [FK_tblStep_tblBusinessProcess]
GO
ALTER TABLE [dbo].[tblStep]  WITH CHECK ADD  CONSTRAINT [FK_tblStep_tblRole] FOREIGN KEY([RoleGUID])
REFERENCES [dbo].[tblRole] ([GUID])
GO
ALTER TABLE [dbo].[tblStep] CHECK CONSTRAINT [FK_tblStep_tblRole]
GO
